import { Description } from "./Description";
import { WebFilteringExpressionsTreeOrFilteringExpressionDescription } from "./WebFilteringExpressionsTreeOrFilteringExpressionDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebFilteringExpressionsTreeDetailDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    private static __marshalByValue;
    private static __marshalByValueAlias;
    constructor();
    private h;
    get filteringOperands(): WebFilteringExpressionsTreeOrFilteringExpressionDescription[];
    set filteringOperands(a: WebFilteringExpressionsTreeOrFilteringExpressionDescription[]);
    private s;
    get treeType(): string;
    set treeType(a: string);
    private m;
    get owner(): any;
    set owner(a: any);
    private r;
    get operator(): string;
    set operator(a: string);
    private q;
    get fieldName(): string;
    set fieldName(a: string);
    private p;
    get entity(): string;
    set entity(a: string);
    private i;
    get returnFields(): string[];
    set returnFields(a: string[]);
}
